#!/bin/sh
echo 'name: cprng-aes
version: 0.3.4
id: cprng-aes-0.3.4-5097d410007c9b7a146dc52ab179bf62

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-cprng-aes
package-url:
synopsis: Crypto Pseudo Random Number Generator using AES in counter mode.
description: Simple crypto pseudo-random-number-generator with really good randomness property.
             .
             Using ent, a randomness property maker on one 1Mb sample:
             Entropy = 7.999837 bits per byte.
             Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
             Chi square distribution for 1048576 samples is 237.02
             Arithmetic mean value of data bytes is 127.3422 (127.5 = random)
             Monte Carlo value for Pi is 3.143589568 (error 0.06 percent)
             .
             Compared to urandom with the same sampling:
             Entropy = 7.999831 bits per byte.
             Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
             Chi square distribution for 1048576 samples is 246.63
             Arithmetic mean value of data bytes is 127.6347 (127.5 = random).
             Monte Carlo value for Pi is 3.132465868 (error 0.29 percent).
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.Random.AESCtr
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/cprng-aes-0.3.4
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/cprng-aes-0.3.4
              /usr/local/lib
hs-libraries: HScprng-aes-0.3.4
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.1.0-f58939ca866a8377999e7a71aa62d1d0
         bytestring-0.9.2.1-4cc8a513193316dfe32ba33f47609c9d
         cipher-aes-0.1.7-0bd8591b0cfd267e8a77f4b85151372e
         crypto-api-0.11-cee9f5f10bfb611cf4e07f73c3cb8106
         crypto-random-api-0.2.0-05bdaebfa20d2820cb397a4dc59104db
         entropy-0.2.1-1dd75c363c25c0858418012c78bcad86
         random-1.0.1.1-c58cc32eea7e1ff248e803433efc4a71
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/cprng-aes-0.3.4/html/cprng-aes.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/cprng-aes-0.3.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
